
Figure - Bug #119092
【VC1】【台架】【副屏】副屏连接蓝牙耳机使用微信语音通话偶现一次没有声音输出，期间播放媒体也没有
声音输出
2023-07-25 15:10 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-25

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0725DB

Resolution: -- Degrated: --

Severity: Normal Verified Version: 0131 0804DB 0805DB

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

网络正常

【测试步骤】

1.使用小窗打开腾讯视频并播放视频

2.使用微信接听语音来电

3.再次进入小窗腾讯视频播放视频

【实际结果】

腾讯视频播放的视频无声音输出，微信通话没有声音输出，企业微信、飞书通话均没有声音输出；酷狗等播放一样

【预期结果】

设备可以通过蓝牙耳机正常输出声音

【备注】

通话默认接听是听筒，此时可以切换为蓝牙耳机；从蓝牙耳机切换为扬声器之后无法再切换为蓝牙设备输出；且全程无声声音输出

History

#1 - 2023-07-25 15:14 - 物联网测试组_TSCD 王维

- Subject changed from 【VC1】【台架】【副屏】【AF】副屏连接蓝牙耳机使用微信语音通话偶现一次没有声音输出，期间播放媒体也没有声音输出 to 

【VC1】【台架】【副屏】副屏连接蓝牙耳机使用微信语音通话偶现一次没有声音输出，期间播放媒体也没有声音输出

tlog日志：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/119092/tlog_iov0201017500006162025411a2305070000003741_000132_0725150635.tar.gz

复现时间：20230725 14:45（该时间段未断开蓝牙为必现，故出现了几次）

#2 - 2023-07-25 15:16 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前分析：

从日志分析，在播放时，adsp报错，详细日志如下：

07-25 14:46:06.321     0     0 E         : [  840.508153]  KONA MultiMedia10: ASoC: no backend DAIs enabled for KONA MultiMedia10

2025-07-04 1/4

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/119092/tlog_iov0201017500006162025411a2305070000003741_000132_0725150635.tar.gz


07-25 14:46:06.321     0     0 E [  840.509655] q6asm_callback: cmd = 0x10bcd returned error = 0x1

07-25 14:46:06.321     0     0 E [  840.509716] __q6asm_cmd: DSP returned error[ADSP_EFAILED] opcode 68557

07-25 14:46:06.529     0     0 E [  840.572080] q6asm_callback: cmd = 0x10bcd returned error = 0x1

07-25 14:46:06.529     0     0 E [  840.572128] __q6asm_cmd: DSP returned error[ADSP_EFAILED] opcode 68557

07-25 14:46:06.529     0     0 E         : [  840.637637]  KONA MultiMedia10: ASoC: no backend DAIs enabled for KONA MultiMedia10

07-25 14:46:06.529     0     0 E [  840.638973] q6asm_callback: cmd = 0x10bcd returned error = 0x1

07-25 14:46:06.529     0     0 E [  840.639024] __q6asm_cmd: DSP returned error[ADSP_EFAILED] opcode 68557

07-25 14:46:06.529     0     0 E         : [  840.704520]  KONA MultiMedia10: ASoC: no backend DAIs enabled for KONA MultiMedia10

07-25 14:46:06.529     0     0 E [  840.706177] q6asm_callback: cmd = 0x10bcd returned error = 0x1

07-25 14:46:06.529     0     0 E [  840.706225] __q6asm_cmd: DSP returned error[ADSP_EFAILED] opcode 68557

下一步

该问题需要audio bsp的同学帮忙分析

#3 - 2023-07-25 16:22 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from AUDIO-FW to BSP

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to BSP组-RD3_TSCD 罗聪

Hi 罗聪

麻烦帮忙分析，谢谢！

#4 - 2023-07-26 19:20 - CD BSP汪凯

Hi all,

从当前日志看：

当连接蓝牙耳机时，拨通微信语音通话后，选择了speaker-and-bt-sco-wb,通过获取在企业微信日志中，并没有发现喇叭和蓝牙设备同时选择的情况

1. 上层同事屏蔽了语音通话时的响铃，所以不应该选择这个设备 --> 需要上层同事也一块分析，当前上层屏蔽掉voip的响铃，为什么还会调到底层的设备

选择？

07-25 14:46:06.306 18062 18375 D audio_hw_primary: enable_audio_route: apply mixer and update path: audio-playback-voip speaker-and-bt-sco-wb

07-25 14:46:06.306 18062 18375 E audio_route: unable to find path 'audio-playback-voip speaker-and-bt-sco-wb'

07-25 14:46:06.307  6338  6445 I chromium: [0725/144606.306926:INFO:tnet_request_common.cc(194)] Front request create: 0xb400007871228ac0, delegate:

0xb4000078d10e6a50

07-25 14:46:06.307  6338  6445 I chromium: [0725/144606.307101:INFO:tnet_quic_adapter.cc(52)] Create tnet adapter, this: 0xb4000078d10e6a50

07-25 14:46:06.307 18062 18375 D audio_hw_primary: select_devices: done

07-25 14:46:06.309 18062 18375 E audio_hw_primary: pcm_open_prepare_helper: pcm_prepare returned -1

2. 依赖测试描述具体做了哪些操作，能否复现？

3. 同时获取一下企业微信通话时的logcat日志

谢谢

#5 - 2023-07-27 11:34 - CD BSP汪凯

Hi all,
现在怀疑就是定制的问题

1. 之前定制的去掉语音通话的响铃？ 现在微信根据测试描述还是会听见响铃的声音

2. 现在报错日志就会有:

audio-playback-voip speaker-and-bt-a2dp

audio-playback-voip speaker-and-bt-sco-wb 

在接通后，voip模式下就不会出现这种情况存在，只会有一个设备，要不连接蓝牙，要不就是从喇叭输出

怀疑有定制：应该是在未接通的情况下，强制将low-latency-playback 改为audio-playback-voip

导致找不到对应的route :

07-25 14:46:06.306 18062 18375 E audio_route: unable to find path 'audio-playback-voip speaker-and-bt-sco-wb'

07-25 14:46:06.309 18062 18375 E audio_hw_primary: pcm_open_prepare_helper: pcm_prepare returned -1

#6 - 2023-07-27 13:42 - CD BSP汪凯

- Assignee changed from BSP组-RD3_TSCD 罗聪 to Multimedia组-RD3_TSCD 梁卿山

#7 - 2023-07-27 17:03 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from BSP to AUDIO-FW

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

Hi ALL

相关定制部分回退已经合入，麻烦使用明天的DB，测试该问题是否还会发生，谢谢！

https://dev.thundercomm.com/gerrit/c/general/platform/hardware/qcom/audio/+/218121

#8 - 2023-08-02 16:47 - CDTS_TEST 王成

- Status changed from ASSIGNED to RESOLVED

验证之后麻烦将结果附上

#9 - 2023-08-08 17:05 - 物联网测试组_TSCD 王维

- Verified Version set to 0805DB

【复验反馈】验证通过

【复验版本】0805DB

【复现环境】中控版本3098  AirPods Pro蓝牙耳机

【复现方法】按操作步骤执行

【复现结果】微信语音和媒体播放声音正常

#10 - 2023-08-08 17:06 - 物联网测试组_TSCD 王维

【复验反馈】验证通过

【复验版本】0804DB

【复现环境】中控版本3098  AirPods Pro蓝牙耳机

【复现方法】按操作步骤执行

【复现结果】微信语音和媒体播放声音正常
#11 - 2023-08-08 17:07 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

- Verified Version changed from 0805DB to 0131 0804DB 0805DB

【复验反馈】验证通过

【复验版本】0131

【复现环境】中控版本3098  AirPods Pro蓝牙耳机

【复现方法】按操作步骤执行

【复现结果】微信语音和媒体播放声音正常

#12 - 2023-08-08 17:08 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

yichang.txt 5.54 MB 2023-07-25 物联网测试组_TSCD 王维
